# $Id$
# Authority: dag
# Upstream: brian d foy <bdfoy$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Mac-PropertyList

Summary: Perl module to work with Mac plists at a low level
Name: perl-Mac-PropertyList
Version: 1.33
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Mac-PropertyList/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/authors/id/B/BD/BDFOY/Mac-PropertyList-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
perl-Mac-PropertyList is a Perl module to work with Mac plists at a low level.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README examples/
%doc %{_mandir}/man3/PropertyList.3pm*
%doc %{_mandir}/man3/ReadBinary.3pm*
%dir %{perl_vendorlib}/Mac/
%{perl_vendorlib}/Mac/PropertyList/
%{perl_vendorlib}/Mac/PropertyList.pm

%changelog
* Wed Feb 16 2011 Dag Wieers <dag@wieers.com> - 1.33-1
- Initial package. (using DAR)
